> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.nibtravelinsurance.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.nibtravelinsurance.com/_mcp/server.

# Donation configuration

GET https://api-staging.nibtravelinsurance.com/products/v1/{brandCode}/donationConfig

Returns configuration information for a brands microdonation facility

Reference: https://developer.nibtravelinsurance.com/reference/products-api/brand/donation-configuration

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `brandCode` (enum, required) — Brand code
  - Allowed values: `nibau`, `nibnz`, `tidau`, `wn`

## Response

### 200

Success

- `expirySeconds` (integer, optional)
- `brandCode` (string, optional)
- `effectiveToDate` (string, optional)
- `effectiveFromDate` (string, optional)
- `homeCountryDonationConfigs` (list of HomeCountryDonationConfig, optional)

## Types

### HomeCountryDonationConfig

- `countryCode` (string, optional)
- `donationBands` (list of DonationBandSummary, optional)

### DonationBandSummary

- `basePrice` (double, optional)
- `defaultDonationAmount` (double, optional)

## Examples

**Response**

```json
{
  "expirySeconds": 86400,
  "brandCode": "WN",
  "effectiveToDate": "1970-01-01T00:00:00Z",
  "effectiveFromDate": "1970-01-01T00:00:00Z",
  "homeCountryDonationConfigs": [
    {
      "countryCode": "AUS",
      "donationBands": [
        {
          "basePrice": 0,
          "defaultDonationAmount": 2
        },
        {
          "basePrice": 140.01,
          "defaultDonationAmount": 3
        },
        {
          "basePrice": 270.01,
          "defaultDonationAmount": 5
        },
        {
          "basePrice": 1000.01,
          "defaultDonationAmount": 10
        },
        {
          "basePrice": 5000.01,
          "defaultDonationAmount": 15
        }
      ]
    },
    {
      "countryCode": "USA",
      "donationBands": [
        {
          "basePrice": 0,
          "defaultDonationAmount": 2
        },
        {
          "basePrice": 150.01,
          "defaultDonationAmount": 3
        },
        {
          "basePrice": 250.01,
          "defaultDonationAmount": 5
        },
        {
          "basePrice": 1000.01,
          "defaultDonationAmount": 10
        },
        {
          "basePrice": 5000.01,
          "defaultDonationAmount": 15
        }
      ]
    }
  ]
}
```

**SDK Code**

```python World Nomads (abbreviated)
import requests

url = "https://api-staging.nibtravelinsurance.com/products/v1/nibau/donationConfig"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript World Nomads (abbreviated)
const url = 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/donationConfig';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go World Nomads (abbreviated)
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-staging.nibtravelinsurance.com/products/v1/nibau/donationConfig"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby World Nomads (abbreviated)
require 'uri'
require 'net/http'

url = URI("https://api-staging.nibtravelinsurance.com/products/v1/nibau/donationConfig")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java World Nomads (abbreviated)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-staging.nibtravelinsurance.com/products/v1/nibau/donationConfig")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php World Nomads (abbreviated)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/donationConfig', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp World Nomads (abbreviated)
using RestSharp;

var client = new RestClient("https://api-staging.nibtravelinsurance.com/products/v1/nibau/donationConfig");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift World Nomads (abbreviated)
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-staging.nibtravelinsurance.com/products/v1/nibau/donationConfig")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```